
Ruby - Bug #12844

Unable to run $rails console

10/16/2016 08:00 PM - FrederickJohn (Frederick Schiller)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.3.1p112 (2016-04-26 revision

54768) [x86_64-darwin15]

Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:

UNKNOWN

Description

If I run rails console it diplays many lines of code and then states:

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

 If I specify development it will show me the console has started. But upon issuing any command for instance user = User.new it will

revert back to the original error. I'm running mac sierra

$ bin/rails console development

Running via Spring preloader in process 30451

Loading development environment (Rails 5.0.0.1)

irb(main):001:0>

Related issues:

Related to Ruby - Misc #12781: Segmentation fault on macOS Sierra (sqlite3_ad... Third Party's Issue

History

#1 - 10/17/2016 02:49 AM - shyouhei (Shyouhei Urabe)

- Related to Misc #12781: Segmentation fault on macOS Sierra (sqlite3_adapter.rb) added

#2 - 10/17/2016 02:49 AM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Feedback

We need the "many lines of code" you omit to say who is wrong.

#3 - 10/17/2016 05:41 AM - nobu (Nobuyoshi Nakada)

- Description updated

#4 - 07/25/2019 06:17 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Feedback to Closed
